RenderDynamicMethod (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.metaclass

## [Java] Class RenderDynamicMethod

- org.codehaus.groovy.grails.web.metaclass.RenderDynamicMethod

- Allows rendering of text, views, and templates to the response

  Authors:
    Graeme Rocher
  Since:
    0.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ARGUMENT_BEAN` |
    `static java.lang.String` | `ARGUMENT_BUILDER` |
    `static java.lang.String` | `ARGUMENT_COLLECTION` |
    `static java.lang.String` | `ARGUMENT_CONTENT_TYPE` |
    `static java.lang.String` | `ARGUMENT_CONTEXTPATH` |
    `static java.lang.String` | `ARGUMENT_ENCODING` |
    `static java.lang.String` | `ARGUMENT_LAYOUT` |
    `static java.lang.String` | `ARGUMENT_MODEL` |
    `static java.lang.String` | `ARGUMENT_STATUS` |
    `static java.lang.String` | `ARGUMENT_TEMPLATE` |
    `static java.lang.String` | `ARGUMENT_TEXT` |
    `static java.lang.String` | `ARGUMENT_VAR` |
    `static java.lang.String` | `ARGUMENT_VIEW` |
    `static java.lang.String` | `DISPOSITION_HEADER_PREFIX` |
    `static java.util.regex.Pattern` | `METHOD_PATTERN` |
    `static java.lang.String` | `METHOD_SIGNATURE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RenderDynamicMethod ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.util.Collection<ActionResultTransformer>` | `getActionResultTransformers(GrailsWebRequest webRequest)`
    `java.lang.Object` | `invoke(java.lang.Object target, java.lang.String methodName, java.lang.Object[] arguments)`
    `protected void` | `renderViewForTemplate(GrailsWebRequest webRequest, org.springframework.web.servlet.View view, java.util.Map binding)`
    `void` | `setGspEncoding(java.lang.String gspEncoding)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDynamicMethodInvocation` | `getPattern, invoke, isMethodMatch, setPattern`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ARGUMENT_BEAN

    - #### public static final java.lang.String ARGUMENT_BUILDER

    - #### public static final java.lang.String ARGUMENT_COLLECTION

    - #### public static final java.lang.String ARGUMENT_CONTENT_TYPE

    - #### public static final java.lang.String ARGUMENT_CONTEXTPATH

    - #### public static final java.lang.String ARGUMENT_ENCODING

    - #### public static final java.lang.String ARGUMENT_LAYOUT

    - #### public static final java.lang.String ARGUMENT_MODEL

    - #### public static final java.lang.String ARGUMENT_STATUS

    - #### public static final java.lang.String ARGUMENT_TEMPLATE

    - #### public static final java.lang.String ARGUMENT_TEXT

    - #### public static final java.lang.String ARGUMENT_VAR

    - #### public static final java.lang.String ARGUMENT_VIEW

    - #### public static final java.lang.String DISPOSITION_HEADER_PREFIX

    - #### public static final java.util.regex.Pattern METHOD_PATTERN

    - #### public static final java.lang.String METHOD_SIGNATURE

  - ### Constructor Detail

    - #### public RenderDynamicMethod()

  - ### Method Detail

    - #### protected java.util.Collection<ActionResultTransformer> getActionResultTransformers(GrailsWebRequest webRequest)

    - #### @java.lang.Override public java.lang.Object invoke(java.lang.Object target, java.lang.String methodName, java.lang.Object[] arguments)

    - #### protected void renderViewForTemplate(GrailsWebRequest webRequest, org.springframework.web.servlet.View view, java.util.Map binding)

    - #### public void setGspEncoding(java.lang.String gspEncoding)